summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Robillard <d@drobilla.net>2017-02-27 21:17:31 +0100
committerDavid Robillard <d@drobilla.net>2017-02-27 21:17:31 +0100
commit3b18ee6cd6778136180062c0e4cf69e2635da966 (patch)
treecebcd25e107a3c6d175c8850caf7c19fe9e82b3b
parentb48d493cc35033b77dcee7b8da22817beab9f8d9 (diff)
downloadpatchage-3b18ee6cd6778136180062c0e4cf69e2635da966.tar.gz
patchage-3b18ee6cd6778136180062c0e4cf69e2635da966.tar.bz2
patchage-3b18ee6cd6778136180062c0e4cf69e2635da966.zip
Fix whitespace
-rwxr-xr-xosx/bundleify.sh22
1 files changed, 11 insertions, 11 deletions
diff --git a/osx/bundleify.sh b/osx/bundleify.sh
index 3806bd2..55ff57d 100755
--- a/osx/bundleify.sh
+++ b/osx/bundleify.sh
@@ -1,8 +1,8 @@
#!/bin/bash
if [ "$#" != 3 ]; then
- echo "USAGE: $0 LIB_PREFIX BUNDLE EXE";
- exit 1;
+ echo "USAGE: $0 LIB_PREFIX BUNDLE EXE";
+ exit 1;
fi
prefix=$1
@@ -26,8 +26,8 @@ cp $(find /usr/local/Cellar/pango -name '*basic-coretext*') $bundle/Contents/lib
# Copy GdkPixbuf loaders
mkdir -p $bundle/Contents/lib/gdk-pixbuf-2.0/2.10.0/loaders/
for fmt in icns png; do
- cp $prefix/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-$fmt.so \
- $bundle/Contents/lib/gdk-pixbuf-2.0/2.10.0/loaders/;
+ cp $prefix/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-$fmt.so \
+ $bundle/Contents/lib/gdk-pixbuf-2.0/2.10.0/loaders/;
done
chmod -R 755 $bundle/Contents/lib/*
@@ -41,24 +41,24 @@ chmod 755 $bundle/Contents/lib/*
# ... recursively
while true; do
- newlibs=$libs
+ newlibs=$libs
- # Copy all libraries this library depends on to bundle
+ # Copy all libraries this library depends on to bundle
for l in $(find $bundle -name '*.dylib' -or -name '*.so'); do
reclibs="`otool -L $l | grep '\.dylib\|\.so' | grep '/User\|/usr/local' | sed 's/(.*//'`"
for rl in $reclibs; do
cp $rl $bundle/Contents/lib/;
done
- chmod 755 $bundle/Contents/lib/*
- newlibs=$(echo "$newlibs"; echo "$reclibs")
+ chmod 755 $bundle/Contents/lib/*
+ newlibs=$(echo "$newlibs"; echo "$reclibs")
done
- # Exit once we haven't added any new libraries
- newlibs=$(echo "$newlibs" | sort | uniq)
+ # Exit once we haven't added any new libraries
+ newlibs=$(echo "$newlibs" | sort | uniq)
if [ "$newlibs" = "$libs" ]; then
break;
fi
- libs=$newlibs
+ libs=$newlibs
done
echo "Bundled libraries:"